package massim.agent.implementation;

import massim.agent.framework.AbstractAgent;
import massim.agent.framework.MessageContent;
import massim.agent.framework.StringContent;

import org.w3c.dom.Element;

import arch.MasSimACArchitecture;

public class ExampleAgent extends AbstractAgent {	
	
	public ExampleAgent(String username, String password) {
		super(username, password);
	}
	
	public ExampleAgent(String username, String password, MasSimACArchitecture parent) {
		super(username, password, parent);
	}
	// some notes on usage:
	public void processLogIn() {
		// called as soon as agent logged in successfully
		// TODO: insert code here
	}

	public void processSimulationEnd(Element perception, long currenttime) {
		// react on simulation end
		// TODO: insert code here
	}

	public void processSimulationStart(Element perception, long currenttime) {
		// react on simulation start
		// TODO: insert code here
	}

	public void processRequestAction(Element perception, Element target,
			long currenttime, long deadline) {
		
		// react to normal perception, modify target so that it becomes a valid
		// action
		// TODO: insert code here

		parent.onServerPerception(perception);
		
		// an example of a communication action
//		broadcastMessage(new StringContent(username + " says hello to all!"));
//		sendMessage(new StringContent(username + " says hello to agent b1!"), "b1");
		try {
			Thread.sleep((deadline - currenttime)/2);
		} catch (Exception e) {
		}

		String nextActionReady = "";
		synchronized (nextAction) {
			if (nextAction != "") { 
				nextActionReady = nextAction;
				nextAction = "";
			}
		}

		target.setAttribute("type", nextActionReady);
	}
	
	public synchronized void onMessageReceived(MessageContent content) {
		// is invoked when the agent receives a new message from another agent
		// TODO: insert code here
		
		System.out.println(username + " received a message: " + content.toString());
		parent.onMessageReceived(content);
	}
	
	// the main entry point into the agent deliberation loop
	@Override
	public void run() {
		// you can configure the agent's connection point
		run("localhost", 12300);
	}
	
}
